org.bouncycastle.mail.smime.test

## Class SMIMEMiscTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.mail.smime.test.SMIMEMiscTest

    public class SMIMEMiscTest
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`SMIMEMiscTest(java.lang.String name)`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static Test` `suite()`
`void` `testQuotePrintableSigPreservation()`
`void` `testSHA256WithRSACompressed()`
`void` `testSHA256WithRSAParserCompressed()`
`void` `testSHA256WithRSAParserEncryptedWithAES()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SMIMEMiscTest

    public SMIMEMiscTest(java.lang.String name)

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### suite

    public static Test suite()

#### testSHA256WithRSAParserEncryptedWithAES

    public void testSHA256WithRSAParserEncryptedWithAES()
                                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA256WithRSACompressed

    public void testSHA256WithRSACompressed()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testQuotePrintableSigPreservation

    public void testQuotePrintableSigPreservation()
                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA256WithRSAParserCompressed

    public void testSHA256WithRSAParserCompressed()
                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`